Bug 138973 - Openldap server can't create database with ldbm format
Openldap server can't create database with ldbm format
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 04:16 EST by Rainer Traut
Modified: 2015-01-07 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
openldap server config (671 bytes, text/plain)
2004-11-12 04:18 EST, Rainer Traut
no flags Details

  None (edit)
Description Rainer Traut 2004-11-12 04:16:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; i-
NavFourF)

Description of problem:
I'm trying to setup a ldap database for samba.
In my slapd.conf I have "database ldbm" like default.
But when starting the ldap server nothing happends. The 
directory /var/lib/ldap is empty.
I get an error with "slapcat -d 255":

slapcat startup: initiated.
backend_startup: starting database
=> ldbm_cache_open( "id2entry.dbb", 16, 600 )
<= ldbm_cache_open NULL "id2entry.dbb" errno=2 reason="No such file 
or directory")
Could not open/create id2entry.dbb
slapcat: could not open database.

I can't create a ldap database.

On Fedora Core 3 my config is working with database backend bdb, but 
not with ldbm.

Version-Release number of selected component (if applicable):
openldap-servers-2.0.27-17

How reproducible:
Always

Steps to Reproduce:
1. installing openldap-servers
2. editing /et/openldap/slapd.conf
3. starting ldap server
4. nothing happens
5. slapcat -d 255
6. error message: ldbm_cache_open NULL "id2entry.dbb" errno=2 
reason="No such file or directory")    

Additional info:
Comment 1 Rainer Traut 2004-11-12 04:18:10 EST
Created attachment 106557 [details]
openldap server config

openldap server config file
Comment 2 RHEL Product and Program Management 2007-10-19 15:14:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.